From 6b1d4c4efc48308fa5f4dc6e5675b3981dcf579a Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Filipe=20La=C3=ADns?= <lains@riseup.net>
Date: Wed, 28 Aug 2024 04:32:35 +0100
Subject: [PATCH] use venv instead of PYTHONUSERBASE (0.9.2.r6.gf735c04-2)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Signed-off-by: Filipe Laíns <lains@riseup.net>
---
 .SRCINFO          | 4 ++--
 PKGBUILD          | 9 +++++----
 moonraker.service | 3 +--
 3 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/.SRCINFO b/.SRCINFO
index ceaf726..7699047 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
 pkgbase = moonraker-git
 	pkgdesc = HTTP frontend for Klipper 3D printer firmware
 	pkgver = 0.9.2.r6.gf735c04
-	pkgrel = 1
+	pkgrel = 2
 	url = https://github.com/Arksine/moonraker
 	install = moonraker.install
 	arch = any
@@ -51,7 +51,7 @@ pkgbase = moonraker-git
 	sha256sums = SKIP
 	sha256sums = b118f346ec57228add79b9c37555adc5dbae4cb6de0e39659912376b5ad2e932
 	sha256sums = 16ac5116ff18e67b7334cf9baf4c404734aede0b1d56d5bed8bde90fbd926e8c
-	sha256sums = c9ab1efe9e225fddaaa20b82ff33d9b00c7e7fffe06d0a27502c17d5484131fc
+	sha256sums = 81d5446b7ca6be66b6b0fae1fd2492a1b5ef035236fc8a4e58ebed65eaa3f92a
 	sha256sums = 5611f1a48bb18d0d95a31eaead4f59d84c0ae5e3c407f3488770e2236b97c3bf
 	sha256sums = cef040e973a9bb697659d1506a37a5f829551d5cc96e3f81ff588d5bd67cf1d0
 	sha256sums = 96275f40a9627f9069fa0fd7a84d17f08de47d49ae66a666c59b9448cc99de67
diff --git a/PKGBUILD b/PKGBUILD
index 1f9b253..6c86f29 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,7 +2,7 @@
 _pkgname=moonraker
 pkgname="${_pkgname}-git"
 pkgver=0.9.2.r6.gf735c04
-pkgrel=1
+pkgrel=2
 pkgdesc="HTTP frontend for Klipper 3D printer firmware"
 arch=(any)
 url="https://github.com/Arksine/moonraker"
@@ -41,7 +41,7 @@ source=('git+https://github.com/Arksine/moonraker.git#branch=master' 'moonraker.
 sha256sums=('SKIP'
             'b118f346ec57228add79b9c37555adc5dbae4cb6de0e39659912376b5ad2e932'
             '16ac5116ff18e67b7334cf9baf4c404734aede0b1d56d5bed8bde90fbd926e8c'
-            'c9ab1efe9e225fddaaa20b82ff33d9b00c7e7fffe06d0a27502c17d5484131fc'
+            '81d5446b7ca6be66b6b0fae1fd2492a1b5ef035236fc8a4e58ebed65eaa3f92a'
             '5611f1a48bb18d0d95a31eaead4f59d84c0ae5e3c407f3488770e2236b97c3bf'
             'cef040e973a9bb697659d1506a37a5f829551d5cc96e3f81ff588d5bd67cf1d0'
             '96275f40a9627f9069fa0fd7a84d17f08de47d49ae66a666c59b9448cc99de67'
@@ -73,9 +73,10 @@ build() {
 package() {
   cd "$srcdir/$_pkgname"
 
-  python -m installer --destdir="${pkgdir}" --prefix="/opt/$_pkgname" dist/*.whl
+  python -m venv --system-site-packages --without-pip "$pkgdir/opt/$_pkgname"
+  sed -i "s|$pkgdir/opt/$_pkgname|/opt/$_pkgname|" "$pkgdir/opt/$_pkgname"/pyvenv.cfg # remove pkgdir from the command entry
 
-  rm -rf "$pkgdir/opt/$_pkgname/bin" # clean bin/moonraker as it doesn't work with /opt prefix
+  "$pkgdir/opt/$_pkgname/bin/python" -m installer --destdir="${pkgdir}" --prefix="/opt/$_pkgname" dist/*.whl
 
   install -Dm644 "$srcdir/moonraker.conf" "$pkgdir/etc/klipper/moonraker.conf"
   install -Dm644 "$srcdir/moonraker.service" "$pkgdir/usr/lib/systemd/system/moonraker.service"
diff --git a/moonraker.service b/moonraker.service
index a75639d..b598031 100644
--- a/moonraker.service
+++ b/moonraker.service
@@ -10,8 +10,7 @@ SupplementaryGroups=moonraker-admin
 SyslogIdentifier=moonraker
 RemainAfterExit=yes
 EnvironmentFile=/var/opt/moonraker/systemd/moonraker.env
-Environment=PYTHONUSERBASE=/opt/moonraker
-ExecStart=/usr/bin/python -m moonraker -n $MOONRAKER_ARGS
+ExecStart=/opt/moonraker/bin/python -m moonraker -n $MOONRAKER_ARGS
 Restart=always
 RestartSec=10
 
-- 
2.46.0

